## pscan 1.2

=== Makefile ===
# Copyright (C) 2000 Alan DeKok
# This Makefile is free software; Alan DeKok
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#

# These are what I use on Linux.  Your mileage may vary.
#CC=gcc -Wall -g
#LEX=flex

pscan: scanner.yy.o pscan.o
	$(CC) scanner.yy.o pscan.o -o pscan

scanner.yy.o: scanner.yy.c
	$(CC) -c scanner.yy.c -o scanner.yy.o

scanner.yy.c: scanner.l
	$(LEX) -t scanner.l > scanner.yy.c

pscan.o: pscan.c pscan.h

clean:
	rm -f *.o *~ pscan scanner.yy.c core

=== debian/changelog ===
pscan (1.2-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert cdbs patches to 3.0 (quilt) patches. (Closes: #1072874)

 -- Bastian Germann <bage@debian.org>  Tue, 11 Jun 2024 20:00:15 +0000

pscan (1.2-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007313)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 13:39:31 +0000

pscan (1.2-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compat level to 7 (Closes: #965791)
    There are no changes to the binary package from this.

 -- Paul Wise <pabs@debian.org>  Thu, 06 Jan 2022 14:47:32 +0800

pscan (1.2-9) unstable; urgency=low

  * Standards-Version: 3.8.0.
    + debian/control: Add Homepage field.
  * debian/copyright:
    + Convert to machine-readable format.
    + Update author's email address.
    + Fix broken upstream website URL (Closes: #454404).
  * Fix "push_stack: Assertion `stack_index < 8192'" (Closes: #436794).
    Thanks Elliott Hughes <elliotth@bluearc.com> for the patch.
  * Rework manpage a bit to fix cosmetics and prevent lintian errors.
  * debian/watch: Add dummy file to silence lintian.

 -- Uwe Hermann <uwe@debian.org>  Sat, 26 Jul 2008 01:10:01 +0200

pscan (1.2-8) unstable; urgency=low

  * New maintainer (Closes: #390221).
  * Standards-Version: 3.7.2.2 (no changes required).
  * Switch to cdbs.
  * Update debhelper compatibility to version 5.
  * More verbose debian/copyright.
  * Extract patches into debian/patches.

 -- Uwe Hermann <uwe@debian.org>  Fri, 20 Oct 2006 10:58:24 +0200

pscan (1.2-7) unstable; urgency=low

  * QA upload.
  * Set Maintainer to QA Group; Orphaned: #390221

 -- Michael Ablassmeier <abi@debian.org>  Sun, 15 Oct 2006 12:43:01 +0200

pscan (1.2-6) unstable; urgency=low

  * Updated standards version to 3.7.2
  * Updated package description to make it more accurate, and avoid
    a lintian warning.

 -- Steve Kemp <skx@debian.org>  Tue, 30 May 2006 23:13:24 +0000

pscan (1.2-5) unstable; urgency=low

  * Applied another great patch from cmorgan:
    - Avoid using the reserved words from C.
      (Closes: #311251)
  * Updated standards version to 3.6.2.
  * Updated debhelper compatability to version 4.

 -- Steve Kemp <skx@debian.org>  Sun, 15 Jan 2006 20:00:59 +0000

pscan (1.2-4) unstable; urgency=low

  * Applied another good collection of patches from cmorgan:

    - No longer rely upon flex-old.
    - Avoid using the undocumented flex lex line-counter.
    - Fix issues with C++ comments breaking line numbers.
    - Avoid build warnings by not using UNPUT.

 -- Steve Kemp <skx@debian.org>  Mon, 18 Apr 2005 17:05:05 +0000

pscan (1.2-3) unstable; urgency=low

  * Applied a bunch of changes submitted by cmorgan:

    Added new preprocessor tokens to the scanner which were previously missing:
     #undef #elif #error #line #pragma 
    Added the new reserved word 'asm'.
    Fixed the help output to show the correct text for the verbose flag.
    Do not show warnings by default if no errors are found.
    Always have a return code of '1' if errors are found.
    Updated the handling of fixed strings.
  
 -- Steve Kemp <skx@debian.org>  Wed, 23 Mar 2005 02:19:17 +0000

pscan (1.2-2) unstable; urgency=low

  * Updated the description to be more correct, and to fix a
    run on sentence.
    (Closes: #236294)  Thanks to Enrico Zini 
  * Close the original ITP bug which should have been done
    in the previous upload.
    (Closes: #228552)
  * Include a minimal manpage based upon the upstream README.
  * Updated standards version to 3.6.1.  No changes required.

 -- Steve Kemp <skx@debian.org>  Fri,  12 Mar 2004 18:11:23 +0000

pscan (1.2-1) unstable; urgency=low

  * Initial Debian package.
  * Install the examples into the 'examples/' directory.
 
 -- Steve Kemp <skx@debian.org>  Mon,  1 Sep 2003 23:14:07 +0000

=== debian/control ===
Source: pscan
Section: misc
Priority: optional
Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs, debhelper (>= 7), flex
Standards-Version: 3.8.0
Homepage: http://deployingradius.com/blog/

Package: pscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Format string security checker for C files
 pscan is a program which scans C source files for
 common function abuses, which often lead to security problems.
 .
 Functions which use variadic arguments will be flagged if they
 appear to contain user-controlled input.
 .
 It is a useful tool for those performing source code audits.

=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_DOCS_ALL       := README
DEB_INSTALL_MANPAGES_pscan := debian/pscan.1
DEB_INSTALL_EXAMPLES_pscan := test.c wu-ftpd.pscan

binary-install/pscan::
	dh_install pscan usr/bin
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

## pscan 1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2000 Alan DeKok
+# Copyright (C) 2000,2007 Alan DeKok <aland@deployingradius.com>
 # This Makefile is free software; Alan DeKok
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -24,5 +24,12 @@
 
 pscan.o: pscan.c pscan.h
 
+FILES	= COPYING find_formats.sh Makefile pscan.c pscan.h README scanner.l \
+	stackguard.txt test.c wu-ftpd.pscan
+
+
+pscan.tar.gz: $(FILES)
+	@tar -zcf pscan.tar.gz $(FILES)
+
 clean:
 	rm -f *.o *~ pscan scanner.yy.c core

=== debian/changelog ===
pscan (1.3-2) unstable; urgency=medium

  * Replace Uwe by myself (to properly follow Salvage process)
    Thank you Uwe for your work on this package
  * Use default build flags
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 19 Dec 2025 07:59:23 +0100

pscan (1.3-1) unstable; urgency=medium

  * Team upload.
    Closes: #1091719
  * New upstream version
    Closes: #1081604
  * Maintain by Package Salvage team
  * Convert from cdbs to dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Add fake watch file

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2025 09:21:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: pscan
 Section: misc
 Priority: optional
-Maintainer: Uwe Hermann <uwe@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), flex
-Standards-Version: 3.8.0
-Homepage: http://deployingradius.com/blog/
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13), flex
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/salvage-team/pscan
+Vcs-Git: https://salsa.debian.org/salvage-team/pscan.git
+Homepage: https://deployingradius.com/blog/
+Rules-Requires-Root: no
 
 Package: pscan
 Architecture: any
@@ -17,4 +21,3 @@
  appear to contain user-controlled input.
  .
  It is a useful tool for those performing source code audits.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	echo 'File test.c says: "Do not compile this file!"'
